local fn = _gn(0xB6CFEC32E3742779)
--- removeReason must be REMOVE_REASON_USED, REMOVE_REASON_GIVEN, REMOVE_REASON_DROPPED or REMOVE_REASON_DEBUG, unless amount is -1
-- removeReason: see REMOVE_WEAPON_FROM_PED
function Global.RemoveAmmoFromPedByType(ped, ammoHash, amount, removeReason)
	return fn(ped, _ch(ammoHash), amount, _ch(removeReason))
end
